# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "rubytree"
  s.version = "0.9.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Anupam Sengupta"]
  s.date = "2014-01-03"
  s.description = "\n    RubyTree is a pure Ruby implementation of the generic tree data structure. It\n    provides a node-based model to store named nodes in the tree, and provides\n    simple APIs to access, modify and traverse the structure.\n\n    The implementation is node-centric, where individual nodes in the tree are the\n    primary structural elements. All common tree-traversal methods (pre-order,\n    post-order, and breadth-first) are supported.\n\n    The library mixes in the Enumerable and Comparable modules to allow access to\n    the tree as a standard collection (iteration, comparison, etc.).\n\n    A Binary tree is also provided, which provides the in-order traversal in\n    addition to the other methods.\n\n    RubyTree supports importing from, and exporting to JSON, and also supports the\n    Ruby's standard object marshaling.\n\n    This is a BSD licensed open source project, and is hosted at\n    http://github.com/evolve75/RubyTree, and is available as a standard gem from\n    http://rubygems.org/gems/rubytree.\n\n    The home page for RubyTree is at http://rubytree.anupamsg.me.\n\n"
  s.email = "anupamsg@gmail.com"
  s.extra_rdoc_files = ["README.md", "LICENSE.md", "API-CHANGES.rdoc", "History.rdoc"]
  s.files = ["README.md", "LICENSE.md", "API-CHANGES.rdoc", "History.rdoc"]
  s.homepage = "http://rubytree.anupamsg.me"
  s.licenses = ["BSD"]
  s.post_install_message = "    ========================================================================\n                    Thank you for installing RubyTree.\n\n    Note:: As of 0.9.3, node names do not need to be globally unique.\n\n    Details of the API changes are documented in the API-CHANGES file.\n    ========================================================================\n"
  s.rdoc_options = ["--title", "Rubytree Documentation", "--quiet"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.7")
  s.rubygems_version = "1.8.29"
  s.summary = "A generic tree data structure."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<structured_warnings>, ["~> 0.1"])
      s.add_runtime_dependency(%q<json>, ["~> 1.8"])
      s.add_development_dependency(%q<bundler>, ["~> 1.5"])
      s.add_development_dependency(%q<rdoc>, ["~> 4.1"])
      s.add_development_dependency(%q<yard>, ["~> 0.8"])
      s.add_development_dependency(%q<rtagstask>, ["~> 0.0"])
    else
      s.add_dependency(%q<structured_warnings>, ["~> 0.1"])
      s.add_dependency(%q<json>, ["~> 1.8"])
      s.add_dependency(%q<bundler>, ["~> 1.5"])
      s.add_dependency(%q<rdoc>, ["~> 4.1"])
      s.add_dependency(%q<yard>, ["~> 0.8"])
      s.add_dependency(%q<rtagstask>, ["~> 0.0"])
    end
  else
    s.add_dependency(%q<structured_warnings>, ["~> 0.1"])
    s.add_dependency(%q<json>, ["~> 1.8"])
    s.add_dependency(%q<bundler>, ["~> 1.5"])
    s.add_dependency(%q<rdoc>, ["~> 4.1"])
    s.add_dependency(%q<yard>, ["~> 0.8"])
    s.add_dependency(%q<rtagstask>, ["~> 0.0"])
  end
end
